Skip to main content
`Ctrl`+`K`

# DMCopyDMSNES

copies a `DMSNES` context to a new `DM`

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMCopyDMSNES(DM dmsrc, DM dmdest)

Logically Collective

## Input Parameters

- dmsrc - `DM` to obtain context from

- dmdest - `DM` to add context to

## Note

The context is copied by reference. This function does not ensure that a context exists.

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMGetDMSNES()`, `SNESSetDM()`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages